org.apache.ignite.ml.tree.randomforest.data

## Enum TreeNode.Type

- java.lang.Object
- - java.lang.Enum<TreeNode.Type>
  - - org.apache.ignite.ml.tree.randomforest.data.TreeNode.Type

- All Implemented Interfaces:
    Serializable, Comparable<TreeNode.Type>
  Enclosing class:
    TreeNode

      public static enum TreeNode.Type
      extends Enum<TreeNode.Type>

  Type of node.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONDITIONAL` Conditional node.
    `LEAF` Leaf node.
    `UNKNOWN` Unknown.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TreeNode.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TreeNode.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final TreeNode.Type UNKNOWN

      Unknown.

    - #### LEAF

          public static final TreeNode.Type LEAF

      Leaf node.

    - #### CONDITIONAL

          public static final TreeNode.Type CONDITIONAL

      Conditional node.

  - ### Method Detail

    - #### values

          public static TreeNode.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TreeNode.Type c : TreeNode.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TreeNode.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023